Bug 825167 - GFS2: SEEK_DATA/SEEK_HOLE support
GFS2: SEEK_DATA/SEEK_HOLE support
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Andreas Gruenbacher
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 05:36 EDT by Steve Whitehouse
Modified: 2018-02-09 11:05 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-09 11:05:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Whitehouse 2012-05-25 05:36:40 EDT
This is a reminder to add SEEK_DATA/SEEK_HOLE support to GFS2.
Comment 2 Steve Whitehouse 2016-10-26 04:16:44 EDT
Now that we have iomap, I wonder whether it would be possible to write a generic SEEK_HOLE/SEEK_DATA implementation for iomap supporting filesystems? That would be at the vfs level, of course. Perhaps worth looking into.
Comment 3 Andreas Gruenbacher 2018-02-09 11:05:18 EST
This has been implemented meanwhile.

Note You need to log in before you can comment on or make changes to this bug.